Home  >  Forum  >  Spring
Post New Query

java.lang.AbstractMethodError in spring application


joined on
March 16,2013
Asked on March 16,2013
I am getting below error.
Initialization of bean failed; nested exception is java.lang.AbstractMethodError
    at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:527)
    at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:456)
    at org.springframework.beans.factory.support.AbstractBeanFactory$1.getObject(AbstractBeanFactory.java:294)
    at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBeanRegistry.java:225)
    at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:291)
    at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:193)
    at org.springframework.beans.factory.support.DefaultListableBeanFactory.preInstantiateSingletons(DefaultListableBeanFactory.java:585)
    at org.springframework.context.support.AbstractApplicationContext.finishBeanFactoryInitialization(AbstractApplicationContext.java:913)
    at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:464)
    at com.concretepage.EnableCachingTest.main(EnableCachingTest.java:10)
Caused by: java.lang.AbstractMethodError
    at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.populateBean(AbstractAutowireCapableBeanFactory.java:1106)
    at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:517)
    ... 9 more


Can any one suggest me to solve. It is eating my time.

joined on
March 14,2013
Replied on March 16,2013

The reason can be you are using jar which are conflicting with the same class name.

Put the jar one by one in you application and all jar should be of same version. It may help you.

joined on
March 16,2013
Replied on March 16,2013

Mostly this type of error comes when we are mixing higher and lower version of library.

Write Answer









Copyright ©2017 concretepage.com, all rights reserved |Privacy Policy | Contact Us